## wicd-kde 0.2.1

=== CMakeLists.txt ===
project(wicd-client-kde)

find_package( KDE4 REQUIRED )
include_directories( ${KDE4_INCLUDES} ${CMAKE_CURRENT_BINARY_DIR} )

macro_ensure_version("4.3.80" ${KDE_VERSION} KSTATUSNOTIFIERITEM_FOUND)
if (NOT PYTHONBIN)
    set (PYTHONBIN "python" CACHE STRING "python command")
endif (NOT PYTHONBIN)
configure_file (config-python.h.cmake config-python.h)

add_subdirectory( kcm )
add_subdirectory( icons )
add_subdirectory( translations )

set(client_SRCS
    global.cpp
    main.cpp
    mainwindow.cpp
    networkpanel.cpp
    labelentry.cpp
    scriptsdialog.cpp
    networkpropertiesdialog.cpp
    profilemanager.cpp
    infosdialog.cpp
    networkmodel.cpp
    networkitemdelegate.cpp
    trayicon.cpp
    dbushandler.cpp)

kde4_add_ui_files(client_SRCS profilemanager.ui)

kde4_add_executable( wicd-client-kde ${client_SRCS} )
target_link_libraries( wicd-client-kde ${KDE4_KDEUI_LIBS} )
install( TARGETS wicd-client-kde  ${INSTALL_TARGETS_DEFAULT_ARGS} )

kde4_add_executable(wicdclient_scripts_helper  scriptshelper.cpp)
target_link_libraries(wicdclient_scripts_helper ${KDE4_KDECORE_LIBS})
install(TARGETS wicdclient_scripts_helper DESTINATION ${LIBEXEC_INSTALL_DIR})

kde4_install_auth_actions(org.kde.wicdclient.scripts wicdclient.scripts.actions)
kde4_install_auth_helper_files(wicdclient_scripts_helper org.kde.wicdclient.scripts root)

install( FILES wicd-client-kde.desktop  DESTINATION ${XDG_APPS_INSTALL_DIR} )
install( FILES wicd-client-kde.desktop  DESTINATION ${AUTOSTART_INSTALL_DIR} )
install( FILES wicd-client-kde.notifyrc DESTINATION ${DATA_INSTALL_DIR}/wicd-client-kde )

=== kcm/CMakeLists.txt ===
include (KDE4Defaults)

kde4_add_ui_files(kcm_wicd_UI_SRCS kcmwidget.ui)
kde4_add_plugin(kcm_wicd wicdkcm.cpp wicddbusinterface.cpp ${kcm_wicd_UI_SRCS})

target_link_libraries(kcm_wicd  ${KDE4_KDECORE_LIBS} ${KDE4_KUTILS_LIBS} ${KDE4_SOLID_LIBS} )

install(TARGETS kcm_wicd  DESTINATION ${PLUGIN_INSTALL_DIR} )
install( FILES kcm_wicd.desktop  DESTINATION  ${SERVICES_INSTALL_DIR} )

=== translations/CMakeLists.txt ===
FIND_PROGRAM(GETTEXT_MSGFMT_EXECUTABLE msgfmt)
 
IF(NOT GETTEXT_MSGFMT_EXECUTABLE)
        MESSAGE(
"------
                 NOTE: msgfmt not found. Translations will *not* be installed
------")
ELSE(NOT GETTEXT_MSGFMT_EXECUTABLE)
 
        SET(catalogname wicd-client-kde)
 
        ADD_CUSTOM_TARGET(translations ALL)
 
        FILE(GLOB PO_FILES *.po)
 
        FOREACH(_poFile ${PO_FILES})
                GET_FILENAME_COMPONENT(_poFileName ${_poFile} NAME)
                STRING(REGEX REPLACE "^${catalogname}_?" "" _langCode ${_poFileName} )
                STRING(REGEX REPLACE "\\.po$" "" _langCode ${_langCode} )
 
                IF( _langCode )
                        GET_FILENAME_COMPONENT(_lang ${_poFile} NAME_WE)
                        SET(_gmoFile ${CMAKE_CURRENT_BINARY_DIR}/${_lang}.gmo)
 
                        ADD_CUSTOM_COMMAND(TARGET translations
                                COMMAND ${GETTEXT_MSGFMT_EXECUTABLE} --check -o ${_gmoFile} ${_poFile}
                                DEPENDS ${_poFile})
                        INSTALL(FILES ${_gmoFile} DESTINATION ${LOCALE_INSTALL_DIR}/${_langCode}/LC_MESSAGES/ RENAME ${catalogname}.mo)
                ENDIF( _langCode )
 
        ENDFOREACH(_poFile ${PO_FILES})
 
ENDIF(NOT GETTEXT_MSGFMT_EXECUTABLE)

=== debian/changelog ===
wicd-kde (0.2.1-5) unstable; urgency=low

  * changed Architecture from any to linux-any (closes: #612501)

 -- Iker Salmón San Millán (shaola) <shaola@esdebian.org>  Thu, 10 Feb 2011 13:16:23 +0000

wicd-kde (0.2.1-4) unstable; urgency=low

  * debian/patches/:
    - refresh change-icons-location.patch (Closes: #606761)
  * changed project homepage
  * added pkg-kde-tools in build-depends and --with-kde tag to dh

 -- Iker Salmón San Millán (shaola) <shaola@esdebian.org>  Sat, 11 Dec 2010 23:23:06 +0000

wicd-kde (0.2.1-3) unstable; urgency=low

  * debian/patches/:
    - fix-ftbfs-no-add-needed.patch added (Closes: #606451)
    - fix-excess-linkeage.patch added,  avoided unnecesary dependency 
      over libkutils.so.4

 -- Iker Salmón San Millán (shaola) <shaola@esdebian.org>  Thu, 09 Dec 2010 12:36:08 +0000

wicd-kde (0.2.1-2) unstable; urgency=low

  * change icons location to avoid knm-runtimes conflict 

 -- Iker Salmón San Millán (shaola) <shaola@esdebian.org>  Thu, 11 Nov 2010 23:15:35 +0000

wicd-kde (0.2.1-1) unstable; urgency=low

  * Initial release (Closes: #602049)

 -- Iker Salmón San Millán (shaola) <shaola@esdebian.org>  Thu, 03 Nov 2010 23:15:47 +0100

=== debian/control ===
Source: wicd-kde
Section: kde
Priority: optional
Maintainer: Iker Salmón San Millán (shaola) <shaola@esdebian.org>
Build-Depends: debhelper (>= 7.0.50~), cmake (>=2.8.2), kdelibs5-dev (>=4:4.4.5), pkg-kde-tools
Standards-Version: 3.9.1
Homepage: https://projects.kde.org/projects/playground/network/wicd-client-kde

Package: wicd-kde
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, wicd-daemon
Provides: wicd-client
Description: Wired and wireless network manager - KDE client
 Wicd is a general-purpose network configuration server which aims
 to provide a simple but flexible interface for connecting to networks.
 Its features include:
 wide variety of settings.
  * ability to connect to (and maintain profiles for) both wired and
    wireless networks;
  * support for many encryption schemes, including WEP, WPA, WPA2 and
    custom schemes;
  * wireless-tools compatibility.
 .
 This package provides the KDE client designed to integrate in the KDE
 desktop environment.
 It also supports a tray icon showing network activity and signal
 strength.

## wicd-kde 0.2.3

=== CMakeLists.txt ===
project(wicd-kde)

set(KDE_MIN_VERSION "4.5.0")
find_package(KDE4 ${KDE_MIN_VERSION} REQUIRED)

include_directories( ${KDE4_INCLUDES} ${CMAKE_CURRENT_BINARY_DIR} )

if (NOT PYTHONBIN)
    set (PYTHONBIN "python" CACHE STRING "python command")
endif (NOT PYTHONBIN)
configure_file (config-python.h.cmake config-python.h)

add_subdirectory( kcm )
add_subdirectory( icons )

set(client_SRCS
    global.cpp
    main.cpp
    mainwindow.cpp
    networkpanel.cpp
    labelentry.cpp
    scriptsdialog.cpp
    networkpropertiesdialog.cpp
    profilemanager.cpp
    infosdialog.cpp
    networkmodel.cpp
    networkitemdelegate.cpp
    trayicon.cpp
    dbushandler.cpp)

kde4_add_ui_files(client_SRCS profilemanager.ui)
kde4_add_kcfg_files(client_SRCS settings.kcfgc)
install(FILES wicd-kde.kcfg DESTINATION ${KCFG_INSTALL_DIR})

kde4_add_executable( wicd-kde ${client_SRCS} )
target_link_libraries( wicd-kde ${KDE4_KDEUI_LIBS} ${QT_QTNETWORK_LIBRARY} ${KDE4_KNOTIFYCONFIG_LIBS})
install( TARGETS wicd-kde  ${INSTALL_TARGETS_DEFAULT_ARGS} )

kde4_add_executable(wicdclient_scripts_helper  scriptshelper.cpp)
target_link_libraries(wicdclient_scripts_helper ${KDE4_KDECORE_LIBS})
install(TARGETS wicdclient_scripts_helper DESTINATION ${LIBEXEC_INSTALL_DIR})

kde4_install_auth_actions(org.kde.wicdclient.scripts wicdclient.scripts.actions)
kde4_install_auth_helper_files(wicdclient_scripts_helper org.kde.wicdclient.scripts root)

install( PROGRAMS wicd-kde.desktop  DESTINATION ${XDG_APPS_INSTALL_DIR} )
install( FILES wicd-kde.desktop  DESTINATION ${AUTOSTART_INSTALL_DIR} )
install( FILES wicd-kde.notifyrc wicd-kdeui.rc DESTINATION ${DATA_INSTALL_DIR}/wicd-kde )

add_subdirectory( po )

=== icons/CMakeLists.txt ===
kde4_install_icons(${DATA_INSTALL_DIR}/wicd-kde/icons)

=== debian/changelog ===
wicd-kde (0.2.3-1) unstable; urgency=low

  * New upstream release, minor release (closes: #642904)
  * previous patches deleted because already inlcuded in upstream

 -- Iker Salmón San Millán (shaola) <shaola@esdebian.org>  Mon, 26 Sep 2011 08:19:03 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Iker Salmón San Millán (shaola) <shaola@esdebian.org>
 Build-Depends: debhelper (>= 7.0.50~), cmake (>=2.8.2), kdelibs5-dev (>=4:4.4.5), pkg-kde-tools
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: https://projects.kde.org/projects/playground/network/wicd-client-kde
 
 Package: wicd-kde

## wicd-kde 0.3.0

=== CMakeLists.txt ===
project(wicd-kde)

set(KDE_MIN_VERSION "4.5.0")
find_package(KDE4 ${KDE_MIN_VERSION} REQUIRED)

include(KDE4Defaults)
include_directories( ${KDE4_INCLUDES} ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_SOURCE_DIR} )

add_subdirectory( kcm )
add_subdirectory( applet )
add_subdirectory( dataengine )
add_subdirectory( po )

=== dataengine/CMakeLists.txt ===
set(wicd_engine_SRCS
    ../dbushandler.cpp
    wicdjob.cpp
    wicdservice.cpp
    wicdengine.cpp
)

kde4_add_plugin(plasma_engine_wicd ${wicd_engine_SRCS})
target_link_libraries(plasma_engine_wicd ${QT_QTNETWORK_LIBRARY} ${KDE4_PLASMA_LIBS})

install(TARGETS plasma_engine_wicd DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES plasma-dataengine-wicd.desktop DESTINATION ${SERVICES_INSTALL_DIR})
install(FILES wicd.operations DESTINATION ${DATA_INSTALL_DIR}/plasma/services)

=== kcm/CMakeLists.txt ===
include (KDE4Defaults)

kde4_add_ui_files(kcm_wicd_UI_SRCS kcmwidget.ui)
kde4_add_plugin(kcm_wicd wicdkcm.cpp wicddbusinterface.cpp ${kcm_wicd_UI_SRCS})

target_link_libraries(kcm_wicd ${KDE4_KDEUI_LIBS} ${KDE4_SOLID_LIBS} )

install(TARGETS kcm_wicd  DESTINATION ${PLUGIN_INSTALL_DIR} )
install( FILES kcm_wicd.desktop  DESTINATION  ${SERVICES_INSTALL_DIR} )

=== debian/changelog ===
wicd-kde (0.3.0-2) unstable; urgency=low

  * Added fix-qmax-call.patch to fix arm build (Closes: #653727)
 
 -- Iker Salmón San Millán (shaola) <ikerssm@gmail.com>  Fri, 30 Dec 2011 22:38:18 +0000

wicd-kde (0.3.0-1) unstable; urgency=low

  * New upstream release
  * Fixes some changes with Wicd 1.7.1 but it keeps the compatibility with 1.7.0
  * Now wicd-kde is a plasmoid
  * New mantainers email 
  * Changed project homepage

 -- Iker Salmón San Millán (shaola) <ikerssm@gmail.com>  Wed, 28 Dec 2011 10:47:14 +0000

=== debian/control ===
Source: wicd-kde
Section: kde
Priority: optional
Maintainer: Iker Salmón San Millán (shaola) <ikerssm@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), cmake (>=2.8.2), kdelibs5-dev (>=4:4.4.5), pkg-kde-tools
Standards-Version: 3.9.2
Homepage: https://projects.kde.org/projects/extragear/network/wicd-kde

Package: wicd-kde
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, wicd-daemon
Provides: wicd-client
Description: Wired and wireless network manager - plasmoid
 Wicd is a general-purpose network configuration server which aims
 to provide a simple but flexible interface for connecting to networks.
 Its features include:
 wide variety of settings.
  * ability to connect to (and maintain profiles for) both wired and
    wireless networks;
  * support for many encryption schemes, including WEP, WPA, WPA2 and
    custom schemes;
  * wireless-tools compatibility.
 .
 This package provides the KDE plasmoid designed to integrate in the KDE
 desktop environment.
 It also supports a tray icon showing network activity and signal
 strength.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh --with-kde $@

## wicd-kde 0.3.1

=== applet/CMakeLists.txt ===
if (NOT PYTHONBIN)
    set (PYTHONBIN "python" CACHE STRING "python command")
endif (NOT PYTHONBIN)
configure_file (config-python.h.cmake config-python.h)

set(wicdapplet_SRCS 
    global.cpp
    labelentry.cpp
    properties/tools.cpp
    properties/scriptsdialog.cpp
    properties/networkpropertiesdialog.cpp
    ../dbushandler.cpp
    profilewidget.cpp
    infodialog.cpp
    networkicon.cpp
    networkitem.cpp
    wirednetworkitem.cpp
    wirelessnetworkitem.cpp
    networkview.cpp
    networkplotter.cpp
    adhocdialog.cpp
    wicdapplet.cpp
)
kde4_add_ui_files(wicdapplet_SRCS wicdappletConfig.ui)

# Now make sure all files get to the right place
kde4_add_plugin(plasma_applet_wicd ${wicdapplet_SRCS})
target_link_libraries(plasma_applet_wicd 
                      ${QT_QTNETWORK_LIBRARY} ${KDE4_PLASMA_LIBS} ${KDE4_KDEUI_LIBS})
 
install(TARGETS plasma_applet_wicd
        DESTINATION ${PLUGIN_INSTALL_DIR})
 
install(FILES plasma-applet-wicd.desktop
        DESTINATION ${SERVICES_INSTALL_DIR})

install( FILES wicd-kde.notifyrc DESTINATION ${DATA_INSTALL_DIR}/wicd-kde )

kde4_add_executable(wicdclient_scripts_helper  properties/scriptshelper.cpp)
target_link_libraries(wicdclient_scripts_helper ${KDE4_KDECORE_LIBS})
install(TARGETS wicdclient_scripts_helper DESTINATION ${LIBEXEC_INSTALL_DIR})

kde4_install_auth_actions(org.kde.wicdclient.scripts properties/wicdclient.scripts.actions)
kde4_install_auth_helper_files(wicdclient_scripts_helper org.kde.wicdclient.scripts root)

=== po/CMakeLists.txt ===


FIND_PROGRAM(GETTEXT_MSGFMT_EXECUTABLE msgfmt)
 
IF(NOT GETTEXT_MSGFMT_EXECUTABLE)
        MESSAGE(
"------
                 NOTE: msgfmt not found. Translations will *not* be installed
------")
ELSE(NOT GETTEXT_MSGFMT_EXECUTABLE)
 
        SET(catalogname wicd-kde)
 
        ADD_CUSTOM_TARGET(translations ALL)
 
        FILE(GLOB PO_FILES ${catalogname}*.po)
 
        FOREACH(_poFile ${PO_FILES})
                GET_FILENAME_COMPONENT(_poFileName ${_poFile} NAME)
                STRING(REGEX REPLACE "^${catalogname}_?" "" _langCode ${_poFileName} )
                STRING(REGEX REPLACE "\\.po$" "" _langCode ${_langCode} )
 
                IF( _langCode )
                        GET_FILENAME_COMPONENT(_lang ${_poFile} NAME_WE)
                        SET(_gmoFile ${CMAKE_CURRENT_BINARY_DIR}/${_lang}.gmo)
 
                        ADD_CUSTOM_COMMAND(TARGET translations
                                COMMAND ${GETTEXT_MSGFMT_EXECUTABLE} --check -o ${_gmoFile} ${_poFile}
                                DEPENDS ${_poFile})
                        INSTALL(FILES ${_gmoFile} DESTINATION ${LOCALE_INSTALL_DIR}/${_langCode}/LC_MESSAGES/ RENAME ${catalogname}.mo)
                ENDIF( _langCode )
 
        ENDFOREACH(_poFile ${PO_FILES})
 
ENDIF(NOT GETTEXT_MSGFMT_EXECUTABLE)

=== debian/changelog ===
wicd-kde (0.3.1-1) unstable; urgency=medium

  * new upstream release.
  * Fixed bug that makes crash plasma if wicd-daemon is stopped

 -- Iker Salmón San Millán (shaola) <ikerssm@gmail.com>  Wed, 05 Mar 2014 19:03:38 +0000

wicd-kde (0.3.0-3) unstable; urgency=low

  * Fixed build dependencies (Closes: #657907) 

 -- Iker Salmón San Millán (shaola) <ikerssm@gmail.com>  Tue, 19 Feb 2013 19:46:03 +0000

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: kde
 Priority: optional
 Maintainer: Iker Salmón San Millán (shaola) <ikerssm@gmail.com>
-Build-Depends: debhelper (>= 7.0.50~), cmake (>=2.8.2), kdelibs5-dev (>=4:4.4.5), pkg-kde-tools
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 7.0.50~), cmake (>=2.8.2), kdelibs5-dev (>=4:4.5.0), pkg-kde-tools
+Standards-Version: 3.9.5
 Homepage: https://projects.kde.org/projects/extragear/network/wicd-kde
 
 Package: wicd-kde

=== debian/watch ===
# The project is hosted by now in kde-look.org and gitorius.  None of thoose work with uscan.
